ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
public_common_state_startup_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| set_constants (&$ContextSet, &$Options)
| last_records_form_state_startup (&$ContextSet, &$Options)
| dependent_records_form_state_startup (&$ContextSet, &$Options)
| run_public_commmon_states (&$ContextSet, &$Options)

## Data Fields
| $StartupUtilities = false
| $DefaultControllers = false
| $DefaultViews = false
| $LocalOptions = false
| $Security = false
| $Trace = false
| $Prefix = false

## Detailed Description

Class for rapid buttons creation.

Author
  Dodonov A.A.

Definition at line 26 of file public_common_state_startup.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 71 of file public_common_state_startup.php.

{
try
{
$PackageName = 'gui::context_set::common_state_startup::common_state_startup_utilities';
$this->StartupUtilities = get_package( $PackageName , 'last' , __FILE__ );
$this->DefaultControllers = get_package( 'gui::context_set::default_controllers' , 'last' , __FILE__ );
$this->DefaultViews = get_package( 'gui::context_set::default_views' , 'last' , __FILE__ );
$this->LocalOptions = get_package_object( 'settings::settings' , 'last' , __FILE__ );
$this->Security = get_package( 'security' , 'last' , __FILE__ );
$this->Trace = get_package( 'trace' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

dependent_records_form_state_startup | ( | & | $ContextSet,
|  | & | $Options
| ) |  |

Function starts dependent records form sate.

Parameters

  $ContextSet | - Set of contexts.
  $Options | - Execution parameters.

Returns
  true if the state was processed.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 205 of file public_common_state_startup.php.

{
try
{
$this->Trace->start_group( "{lang:dependent_records_form_state}" );
$Result = false;
if( intval( $Options->get_setting( 'dependent_records' , 0 ) ) )
{
$Result = $this->StartupUtilities->try_run_view_state(
$ContextSet , $Options , 'dependent_records'
);
}
else
{
$this->StartupUtilities->trace_no_need_to_run_state_message(
'dependent_records_form' , $this->Prefix , ''
);
}
$this->Trace->end_group();
return( $Result );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

last_records_form_state_startup | ( | & | $ContextSet,
|  | & | $Options
| ) |  |

Function starts last records form sate.

Parameters

  $ContextSet | - Set of contexts.
  $Options | - Execution parameters.

Returns
  true if the state was processed.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 151 of file public_common_state_startup.php.

{
try
{
$this->Trace->start_group( "{lang:last_records_form_state}" );
$Result = false;
if( intval( $Options->get_setting( 'last_records' , 0 ) ) )
{
$Result = $this->StartupUtilities->try_run_view_state( $ContextSet , $Options , 'last_records' );
}
else
{
$this->StartupUtilities->trace_no_need_to_run_state_message(
'last_records_form' , $this->Prefix , ''
);
}
$this->Trace->end_group();
return( $Result );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

run_public_commmon_states | ( | & | $ContextSet,
|  | & | $Options
| ) |  |

Function starts all states.

Parameters

  $ContextSet | - Set of contexts.
  $Options | - Execution parameters.

Returns
  true if the state was processed.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 306 of file public_common_state_startup.php.

{
try
{
$this->set_constants( $ContextSet , $Options );
if( $this->last_records_form_state_startup( $ContextSet , $Options ) !== false )return( true );
if( $this->dependent_records_form_state_startup( $ContextSet , $Options ) !== false )return( true );
return( false );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

set_constants | ( | & | $ContextSet,
|  | & | $Options
| ) |  |

Function sets all necessary parameters.

Parameters

  $ContextSet | - Set of contexts.
  $Options | - Execution parameters.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 111 of file public_common_state_startup.php.

{
try
{
$this->Prefix = $ContextSet->Prefix;
$this->DefaultControllers->set_constants( $ContextSet , $Options );
$this->DefaultViews->set_constants( $ContextSet , $Options );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$DefaultControllers = false

Definition at line 39 of file public_common_state_startup.php.

$DefaultViews = false

Definition at line 40 of file public_common_state_startup.php.

$LocalOptions = false

Definition at line 41 of file public_common_state_startup.php.

$Prefix = false

Prefix.

Author
  Dodonov A.A.

Definition at line 55 of file public_common_state_startup.php.

$Security = false

Definition at line 42 of file public_common_state_startup.php.

$StartupUtilities = false

Cached packages.

Author
  Dodonov A.A.

Definition at line 38 of file public_common_state_startup.php.

$Trace = false

Definition at line 43 of file public_common_state_startup.php.

The documentation for this class was generated from the following file:

- packages/gui/packages/context_set/packages/public_common_state_startup/public_common_state_startup.php